function N = compute_normals(I, L)
% Syntax:       N = compute_normals(I, L);
%               
% Inputs:       I is an (m x n x d) matrix whose d slices contain m x n
%               double-precision images of a common scene under different
%               lighting conditions
%               
%               L is a (3 x d) matrix such that L(:,i) is the lighting
%               direction vector for image I(:,:,i)
%               
% Outputs:      N is an (m x n x 3) matrix containing the unit-norm surface
%               normal vectors for each pixel in the scene
